# tl.pyw

# www.weigu.lu/b/teensylogger

from teensylogger_tk import *

# import shutil
# import os
# import shlex

port = '/dev/ttyUSB0'
speed = 9600
timeout = 0.05

S0_imp_per_kWh = 1000   # imp/kWh

fpath = '/savit/avr/teensylogger/'
wpath = '/var/www/png/'
data_dir = fpath + 'data/'
data_a_dir = fpath + 'data_archive/'
png_dir = fpath + 'png/'

tl_datafile_raw = data_dir + 'tl_data_'         # the data file
tl_datafile_cooked = data_dir + 'tl_rawdata_'   # the raw data file

tl_gnupfile1 = fpath + 'tl_gp_template.gp'
tl_gnupfile2 = fpath + 'tl.gp'

#-------------------------------------------------------

tl = Teensylogger(port, speed, timeout, S0_imp_per_kWh)

root = Tk()
root.wm_title('Teensylogger by weigu.lu')
root.columnconfigure(0, weight=1)
root.rowconfigure(0, weight=1)

tl_gui = Tl_gui(root, tl, data_dir)
root.mainloop()
